Opened 8 weeks ago

Closed 3 weeks ago

#60674 closed defect (fixed)

ispc: Why use an SDK on OS X 10.10 and later?

Reported by: ryandesign (Ryan Schmidt) Owned by: tenomoto (Takeshi Enomoto)
Priority: Normal Milestone:
Component: ports Version: 2.6.2
Keywords: Cc:
Port: ispc

Description

Last year ispc was modified to use the MacOSX.sdk on Darwin 14 (OS X 10.10) and later. Why? Was this possibly a typo—did you intend to do this on Darwin 18 (macOS 10.14) and later, since /usr/include is not present on macOS 10.14 and later? Or was there a different reason?

Also, you should verify that ${os.platform} eq "darwin" before checking the value of ${os.major}.

Change History (1)

comment:1 Changed 3 weeks ago by Takeshi Enomoto <enomoto.takeshi.3n@…>

Resolution: fixed
Status: assignedclosed

In 61035cd43ffd3168b5514fc92be2c2e58f3b98ab/macports-ports (master):

ispc: fix darwin version check

Closes: #60674

Note: See TracTickets for help on using tickets.